Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Upgrade to RSpec 2.4.

  • Loading branch information...
commit cafa45a8d7bbc3d5714fe0212305541c0221a8b1 1 parent 1b00513
@seancribbs seancribbs authored
View
2  riak-client/Gemfile
@@ -2,7 +2,7 @@ source :gemcutter
gem 'i18n'
gem 'builder'
-gem 'rspec', "~>2.0.0"
+gem 'rspec', "~>2.4.0"
gem 'fakeweb', ">=1.2"
gem 'rack', '>=1.0'
gem 'rake'
View
2  riak-client/Rakefile
@@ -9,7 +9,7 @@ gemspec = Gem::Specification.new do |gem|
gem.email = "sean@basho.com"
gem.homepage = "http://seancribbs.github.com/ripple"
gem.authors = ["Sean Cribbs"]
- gem.add_development_dependency "rspec", "~>2.0.0"
+ gem.add_development_dependency "rspec", "~>2.4.0"
gem.add_development_dependency "fakeweb", ">=1.2"
gem.add_development_dependency "rack", ">=1.0"
gem.add_development_dependency "curb", ">=0.6"
View
8 riak-client/riak-client.gemspec
@@ -6,7 +6,7 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new("> 1.3.1") if s.respond_to? :required_rubygems_version=
s.authors = ["Sean Cribbs"]
- s.date = %q{2010-12-29}
+ s.date = %q{2011-01-26}
s.description = %q{riak-client is a rich client for Riak, the distributed database by Basho. It supports the full HTTP interface including storage operations, bucket configuration, link-walking and map-reduce.}
s.email = %q{sean@basho.com}
s.files = ["erl_src/riak_kv_test_backend.beam", "erl_src/riak_kv_test_backend.erl", "Gemfile", "lib/active_support/cache/riak_store.rb", "lib/riak/bucket.rb", "lib/riak/cache_store.rb", "lib/riak/client/curb_backend.rb", "lib/riak/client/excon_backend.rb", "lib/riak/client/http_backend/configuration.rb", "lib/riak/client/http_backend/object_methods.rb", "lib/riak/client/http_backend/request_headers.rb", "lib/riak/client/http_backend/transport_methods.rb", "lib/riak/client/http_backend.rb", "lib/riak/client/net_http_backend.rb", "lib/riak/client.rb", "lib/riak/core_ext/blank.rb", "lib/riak/core_ext/extract_options.rb", "lib/riak/core_ext/slice.rb", "lib/riak/core_ext/stringify_keys.rb", "lib/riak/core_ext/symbolize_keys.rb", "lib/riak/core_ext/to_param.rb", "lib/riak/core_ext.rb", "lib/riak/failed_request.rb", "lib/riak/i18n.rb", "lib/riak/invalid_response.rb", "lib/riak/link.rb", "lib/riak/locale/en.yml", "lib/riak/map_reduce/filter_builder.rb", "lib/riak/map_reduce/phase.rb", "lib/riak/map_reduce.rb", "lib/riak/map_reduce_error.rb", "lib/riak/robject.rb", "lib/riak/search.rb", "lib/riak/test_server.rb", "lib/riak/util/escape.rb", "lib/riak/util/fiber1.8.rb", "lib/riak/util/headers.rb", "lib/riak/util/multipart.rb", "lib/riak/util/tcp_socket_extensions.rb", "lib/riak/util/translation.rb", "lib/riak/walk_spec.rb", "lib/riak.rb", "Rakefile", "riak-client.gemspec", "spec/fixtures/cat.jpg", "spec/fixtures/multipart-blank.txt", "spec/fixtures/multipart-with-body.txt", "spec/integration/riak/cache_store_spec.rb", "spec/integration/riak/test_server_spec.rb", "spec/riak/bucket_spec.rb", "spec/riak/client_spec.rb", "spec/riak/curb_backend_spec.rb", "spec/riak/escape_spec.rb", "spec/riak/excon_backend_spec.rb", "spec/riak/headers_spec.rb", "spec/riak/http_backend/object_methods_spec.rb", "spec/riak/http_backend_spec.rb", "spec/riak/link_spec.rb", "spec/riak/map_reduce_spec.rb", "spec/riak/multipart_spec.rb", "spec/riak/net_http_backend_spec.rb", "spec/riak/object_spec.rb", "spec/riak/search_spec.rb", "spec/riak/walk_spec_spec.rb", "spec/spec_helper.rb", "spec/support/drb_mock_server.rb", "spec/support/http_backend_implementation_examples.rb", "spec/support/mock_server.rb", "spec/support/mocks.rb", "spec/support/test_server.yml.example"]
@@ -21,7 +21,7 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_development_dependency(%q<rspec>, ["~> 2.0.0"])
+ s.add_development_dependency(%q<rspec>, ["~> 2.4.0"])
s.add_development_dependency(%q<fakeweb>, [">= 1.2"])
s.add_development_dependency(%q<rack>, [">= 1.0"])
s.add_development_dependency(%q<curb>, [">= 0.6"])
@@ -29,7 +29,7 @@ Gem::Specification.new do |s|
s.add_runtime_dependency(%q<i18n>, [">= 0.4.0"])
s.add_runtime_dependency(%q<builder>, ["~> 2.1.2"])
else
- s.add_dependency(%q<rspec>, ["~> 2.0.0"])
+ s.add_dependency(%q<rspec>, ["~> 2.4.0"])
s.add_dependency(%q<fakeweb>, [">= 1.2"])
s.add_dependency(%q<rack>, [">= 1.0"])
s.add_dependency(%q<curb>, [">= 0.6"])
@@ -38,7 +38,7 @@ Gem::Specification.new do |s|
s.add_dependency(%q<builder>, ["~> 2.1.2"])
end
else
- s.add_dependency(%q<rspec>, ["~> 2.0.0"])
+ s.add_dependency(%q<rspec>, ["~> 2.4.0"])
s.add_dependency(%q<fakeweb>, [">= 1.2"])
s.add_dependency(%q<rack>, [">= 1.0"])
s.add_dependency(%q<curb>, [">= 0.6"])
View
4 riak-sessions/Gemfile
@@ -4,8 +4,8 @@ gem 'bundler'
gem 'riak-client', :path => "../riak-client"
gem 'rack'
gem 'rails', '~>3.0.0'
-gem 'rspec', '~>2.0.0'
-gem 'rspec-rails', '~>2.0.0'
+gem 'rspec', '~>2.4.0'
+gem 'rspec-rails', '~>2.4.0'
gem 'rake'
if defined? JRUBY_VERSION
View
4 riak-sessions/Rakefile
@@ -11,8 +11,8 @@ gemspec = Gem::Specification.new do |gem|
gem.email = "sean@basho.com"
gem.homepage = "http://seancribbs.github.com/ripple"
gem.authors = ["Sean Cribbs"]
- gem.add_development_dependency "rspec", "~>2.0.0"
- gem.add_development_dependency "rspec-rails", "~>2.0.0"
+ gem.add_development_dependency "rspec", "~>2.4.0"
+ gem.add_development_dependency "rspec-rails", "~>2.4.0"
gem.add_development_dependency "yajl-ruby"
gem.add_development_dependency "rails", "~>3.0.0"
gem.add_development_dependency "rake"
View
2  riak-sessions/spec/support/ripple_session_support.rb
@@ -12,7 +12,9 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+require 'action_mailer' # Bah, fails on MailerExampleGroup
require 'support/rspec-rails-neuter'
+require 'rspec/rails/example/rails_example_group'
require 'rspec/rails/example/request_example_group'
class RoutedRackApp
View
3  riak-sessions/spec/support/rspec-rails-neuter.rb
@@ -12,12 +12,13 @@ def using_active_record?
end
end
+require 'rspec/core'
+
RSpec::configure do |c|
c.backtrace_clean_patterns << /vendor\//
c.backtrace_clean_patterns << /lib\/rspec\/rails/
end
-require 'rspec/core'
require 'rspec/rails/extensions'
require 'rspec/rails/view_rendering'
require 'rspec/rails/adapters'
View
2  ripple/Gemfile
@@ -3,7 +3,7 @@ source :gemcutter
gem 'bundler'
gem 'riak-client', :path => "../riak-client"
gem 'activemodel', '~>3.0.0'
-gem 'rspec', '~>2.0.0'
+gem 'rspec', '~>2.4.0'
gem 'tzinfo'
gem 'rake'
View
2  ripple/Rakefile
@@ -11,7 +11,7 @@ gemspec = Gem::Specification.new do |gem|
gem.email = "sean@basho.com"
gem.homepage = "http://seancribbs.github.com/ripple"
gem.authors = ["Sean Cribbs"]
- gem.add_development_dependency "rspec", "~>2.0.0"
+ gem.add_development_dependency "rspec", "~>2.4.0"
gem.add_dependency "riak-client", "~>#{version}"
gem.add_dependency "activesupport", "~>3.0.0"
gem.add_dependency "activemodel", "~>3.0.0"
Please sign in to comment.
Something went wrong with that request. Please try again.